Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.20
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/WWW

Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
Source4:	links.cfg
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch6:		links-2.15-cookies-save.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch14:	links-2.8-automake.patch
Patch21:	links-2.15-fix-segfault-on-loading-cookies.patch
Patch22:	links-2.15-64bit-fixes.patch
Patch23:	links-2.15-dont-have-two-assocations-with-same-label--otherwise-one-cant-override-shared-config.patch
Patch24:	links-2.15-CVE-2006-5925--disable-SMB.patch
Patch25:	links2_better_verification.diff
Patch26:	links-2.9-automake-1.13.patch
URL:		http://links.twibright.com/
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(zlib)
Provides:	webclient
Requires:	links-common = %{version}

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Conflicts:	links < 2.1-0.pre18.5mdk, links-graphic < 2.1-0.pre18.5mdk

%description common
Common files for links and links-graphic

%prep
%setup	-q
%patch3 -p1
%patch6 -p1
%patch8 -p1
%patch14 -p1
%patch21 -p1
%patch22 -p1 -b .64bit-fixes
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x
%make

cp -f links links-text

make clean
%configure2_5x --enable-graphics
%make

cp -f links links-graphic

%install
%makeinstall_std

rm -f %{buildroot}%{_bindir}/links
install links-graphic links-text %{buildroot}%{_bindir}

install -D -m 644 %{SOURCE4} %{buildroot}/etc/links.cfg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links
Comment=Lynx-like text/graphic Web browser
Exec=/usr/bin/links-graphic /usr/share/indexhtml/index.html
Icon=web_browser_section
Terminal=true
Type=Application
Categories=Network;WebBrowser;
EOF

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text
fi

%post graphic
update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic
fi

%files 
%{_bindir}/links-text

%files graphic
%{_bindir}/links-graphic
%{_datadir}/applications/*

%files common
%doc AUTHORS ChangeLog README SITES
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*


%changelog
* Thu Aug 29 2019 kekepower <kekepower> 2.20-1.mga6
+ Revision: 1435100
- Update to version 2.20 to fix a security issue (mga#25378)
+ ns80 <ns80>
- correct patch fix-segfault-on-loading-cookies
- correct segmentation fault when saving cookies
- new version 2.15 for CVE-2017-11114 (mga#22848)

* Sat Nov 26 2016 luigiwalser <luigiwalser> 2.14-1.mga6
+ Revision: 1070358
- 2.14
- rediff patches 8 and 25

* Tue Jul 05 2016 luigiwalser <luigiwalser> 2.13-1.mga6
+ Revision: 1039030
- 2.13

* Wed Mar 02 2016 umeabot <umeabot> 2.12-3.mga6
+ Revision: 983610
- Rebuild for openssl

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.12-2.mga6
+ Revision: 918232
- rebuild without directfb

* Thu Dec 24 2015 luigiwalser <luigiwalser> 2.12-1.mga6
+ Revision: 914485
- 2.12
- rediff patches 6, 8, and 25

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.9-1.mga6
+ Revision: 837324
- 2.9
- rediff patch 26

* Wed Oct 15 2014 umeabot <umeabot> 2.8-8.mga5
+ Revision: 747012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8-7.mga5
+ Revision: 681945
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 2.8-6.mga5
+ Revision: 660302
- Rebuild for new directfb

* Tue May 20 2014 luigiwalser <luigiwalser> 2.8-5.mga5
+ Revision: 623988
- rebuild for directfb

* Thu May 01 2014 luigiwalser <luigiwalser> 2.8-4.mga5
+ Revision: 619140
- rebuild for directfb

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.8-3.mga5
+ Revision: 592119
- rebuild for directfb

* Sat Oct 19 2013 umeabot <umeabot> 2.8-2.mga4
+ Revision: 536460
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 luigiwalser <luigiwalser> 2.8-1.mga4
+ Revision: 484315
- 2.8
- adapt patches 6, 14, 22, 23, 24, and 25 to links 2.8

* Sat Aug 17 2013 fwang <fwang> 2.7-6.mga4
+ Revision: 467255
- rebuild for new dfb

* Mon Jun 03 2013 fwang <fwang> 2.7-5.mga4
+ Revision: 436005
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.7-4.mga3
+ Revision: 358829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2.7-3.mga3
+ Revision: 339267
- patch26: fix build with automake 1.13

* Sat Jul 28 2012 fwang <fwang> 2.7-2.mga3
+ Revision: 275256
- rebuild for new dfb

* Wed Jul 04 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 267756
- 2.7
- re-diff patch6 and patch23

* Tue Jul 03 2012 luigiwalser <luigiwalser> 2.6-2.mga3
+ Revision: 266973
- re-diff patch from debian to fix security bug SA33391

* Sun Apr 15 2012 luigiwalser <luigiwalser> 2.6-1.mga2
+ Revision: 230950
- 2.6

* Fri Dec 30 2011 supp <supp> 2.5-1.mga2
+ Revision: 188911
- update to 2.5, drop few obsolete patches

* Wed Oct 26 2011 tv <tv> 2.3-2.mga2
+ Revision: 158174
- build without obsolete svgalib

* Wed Sep 28 2011 fwang <fwang> 2.3-1.mga2
+ Revision: 149780
- recall automake patch
- rediff some patches
- new version 2.3
- fix build with latest libpng
- rebuild for new libpng

* Mon Jul 18 2011 fwang <fwang> 2.2-11.mga2
+ Revision: 125765
- rebuild for new directfb

* Tue Apr 26 2011 wally <wally> 2.2-10.mga1
+ Revision: 91747
- fix desktop file name (mga#954)
- drop buildroot definition
+ rda <rda>
- Update homepage location

* Thu Mar 17 2011 tv <tv> 2.2-8.mga1
+ Revision: 73208
- clean post scripts
- imported package links

